## mycompiler.mytypereconstruction.set
Class CMengeSet<E>

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CMengeSet<E>

Direct Known Subclasses:
  CMultiplyTupleSet, CReconstructionTupleSet, CSubstitutionSet, CTripleSet

    public abstract class CMengeSet<E>

extends CSet<E>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CMengeSet()`

Method Summary
`void` `addElement(E element)`
`boolean` `contains(E element)`
`boolean` `equals(java.lang.Object obj)`
`int` `getCardinality()`
`java.util.Iterator<E>` `getIterator()`
`de.dhbwstuttgart.typeinference.Menge<E>` `getMenge()`
`void` `removeElement(E element)`
`void` `setMenge(de.dhbwstuttgart.typeinference.Menge<E> elements)`
`void` `subtract(CSet<E> anotherSet)`
`void` `unite(CSet<E> anotherSet)`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`deepCopy, shallowCopy, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMengeSet

    public CMengeSet()

Method Detail

### addElement

    public void addElement(E element)

  Specified by:
    `addElement` in class `CSet<E>`

### removeElement

    public void removeElement(E element)

  Specified by:
    `removeElement` in class `CSet<E>`

### getIterator

    public java.util.Iterator<E> getIterator()

  Specified by:
    `getIterator` in class `CSet<E>`

### getMenge

    public de.dhbwstuttgart.typeinference.Menge<E> getMenge()

### setMenge

    public void setMenge(de.dhbwstuttgart.typeinference.Menge<E> elements)

### unite

    public void unite(CSet<E> anotherSet)

  Specified by:
    `unite` in class `CSet<E>`

### subtract

    public void subtract(CSet<E> anotherSet)

  Specified by:
    `subtract` in class `CSet<E>`

### contains

    public boolean contains(E element)

  Specified by:
    `contains` in class `CSet<E>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `CSet<E>`

### getCardinality

    public int getCardinality()

  Specified by:
    `getCardinality` in class `CSet<E>`